## chromium 121.0.6167.160~linuxmint1+elsie

=== debian/changelog ===
chromium (121.0.6167.160~linuxmint1+elsie) unstable; urgency=medium

  * 121.0.6167.160

 -- Linux Mint <root@linuxmint.com>  Tue, 06 Feb 2024 20:55:12 +0000

chromium (121.0.6167.139~linuxmint1) unstable; urgency=medium

  * 121.0.6167.139

 -- Linux Mint <root@linuxmint.com>  Tue, 30 Jan 2024 18:46:32 +0000
