## chromium 121.0.6167.160~linuxmint1+faye

=== debian/changelog ===
chromium (121.0.6167.160~linuxmint1+faye) unstable; urgency=medium

  * 121.0.6167.160

 -- Linux Mint <root@linuxmint.com>  Tue, 06 Feb 2024 20:55:12 +0000
