## chromium 122.0.6261.94~linuxmint1+elsie

=== debian/changelog ===
chromium (122.0.6261.94~linuxmint1+elsie) unstable; urgency=medium

  * 122.0.6261.94

 -- Linux Mint <root@linuxmint.com>  Tue, 27 Feb 2024 19:09:12 +0000

chromium (122.0.6261.69~linuxmint1) unstable; urgency=medium

  * 122.0.6261.69

 -- Linux Mint <root@linuxmint.com>  Thu, 22 Feb 2024 21:18:46 +0000

chromium (122.0.6261.57~linuxmint1) unstable; urgency=medium

  * 122.0.6261.57

 -- Linux Mint <root@linuxmint.com>  Tue, 20 Feb 2024 21:46:12 +0000

chromium (121.0.6167.184~linuxmint1) unstable; urgency=medium

  * 121.0.6167.184

 -- Linux Mint <root@linuxmint.com>  Tue, 13 Feb 2024 19:15:11 +0000

chromium (121.0.6167.160~linuxmint1) unstable; urgency=medium

  * 121.0.6167.160

 -- Linux Mint <root@linuxmint.com>  Tue, 06 Feb 2024 20:55:12 +0000
