## chromium 122.0.6261.94~linuxmint1+faye

=== debian/changelog ===
chromium (122.0.6261.94~linuxmint1+faye) unstable; urgency=medium

  * 122.0.6261.94

 -- Linux Mint <root@linuxmint.com>  Tue, 27 Feb 2024 19:09:12 +0000
