## chromium 122.0.6261.128

=== debian/changelog ===
chromium (122.0.6261.128-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2024-2400: Use after free in Performance Manager.
      Reported by zh1x1an1221 of Ant Group Tianqiong Security Lab.

 -- Andres Salomon <dilinger@debian.org>  Tue, 12 Mar 2024 18:43:05 -0400

chromium (122.0.6261.111-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2024-2173: Out of bounds memory access in V8.
      Reported by 5fceb6172bbf7e2c5a948183b53565b9.
    - CVE-2024-2174: Inappropriate implementation in V8.
      Reported by 5f46f4ee2e17957ba7b39897fb376be8.
    - CVE-2024-2176: Use after free in FedCM. Reported by Anonymous.
  * d/rules: drop bullseye nodejs workaround.
  * Add a build-dep on (the newly backported) rustc-web, drop
    d/patches/bookworm/undo-rust-req.patch, and enable rust.

 -- Andres Salomon <dilinger@debian.org>  Tue, 05 Mar 2024 16:40:05 -0500

chromium-browser (41.0.2272.118-1) unstable; urgen
