=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,6 @@
 export CLANG_MVERS="$(shell $(CC) --version| sed -n 's/Debian clang version //p' | cut -d. -f1)"
 defines+=rust_sysroot_absolute=\"/usr\"
 defines+=rustc_version=\"$(shell rustc --version)\"
-defines+=enable_rust=false
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
 
@@ -136,7 +135,7 @@
 
 override_dh_auto_configure: test_armhf_neon
 	# verify that we're not accidentally uploading to stable-security without CVEs
-	@echo "$(DIST)" | grep -q -- '-securiy' && { \
+	@echo "$(DIST)" | grep -q -- '-security' && { \
 		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
 			echo "ERROR: security upload with no CVEs listed. You should fix that."; \
 			exit 1; \
@@ -147,11 +146,6 @@
 	cp /usr/bin/node third_party/node/linux/node-linux-x64/bin
 	# use system rollup
 	cp -ra /usr/share/nodejs/rollup third_party/node/node_modules/
-	# bullseye workarounds; delete this post-bullseye
-	cp -ra /usr/share/nodejs/acorn  third_party/node/node_modules/
-	cp -ra /usr/share/nodejs/acorn-walk third_party/node/node_modules/walk
-	sed -i -e "s#'acorn-walk'#'walk'#" third_party/node/node_modules/rollup/dist/es/shared/rollup.js
-	sed -i -e "s#'acorn-walk'#'walk'#" third_party/node/node_modules/rollup/dist/shared/rollup.js
 	# output compiler information
 	$(CXX) --version
 	# prefer unbundled (system) libraries
@@ -228,3 +222,5 @@
 	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds
 	@echo
 	rm -rf $(extract)
+	@echo $$(($$(date +%s) - $$(cat $(seconds)))) seconds | tee seconds
+	@mv -f seconds $(seconds)
