## chromium 123.0.6312.58~linuxmint1+elsie

=== debian/changelog ===
chromium (123.0.6312.58~linuxmint1+elsie) unstable; urgency=medium

  * 123.0.6312.58

 -- Linux Mint <root@linuxmint.com>  Tue, 19 Mar 2024 20:53:12 +0000

chromium (122.0.6261.128~linuxmint1) unstable; urgency=medium

  * 122.0.6261.128

 -- Linux Mint <root@linuxmint.com>  Tue, 12 Mar 2024 21:46:12 +0000

chromium (122.0.6261.111~linuxmint1) unstable; urgency=medium

  * 122.0.6261.111

 -- Linux Mint <root@linuxmint.com>  Tue, 05 Mar 2024 21:28:11 +0000

chromium (122.0.6261.94~linuxmint1) unstable; urgency=medium

  * 122.0.6261.94

 -- Linux Mint <root@linuxmint.com>  Tue, 27 Feb 2024 19:09:12 +0000
