## chromium 123.0.6312.58~linuxmint1+wilma

=== debian/changelog ===
chromium (123.0.6312.58~linuxmint1+wilma) unstable; urgency=medium

  * 123.0.6312.58

 -- Linux Mint <root@linuxmint.com>  Tue, 19 Mar 2024 20:53:12 +0000
