## chromium 123.0.6312.86~linuxmint1+elsie

=== debian/changelog ===
chromium (123.0.6312.86~linuxmint1+elsie) unstable; urgency=medium

  * 123.0.6312.86

 -- Linux Mint <root@linuxmint.com>  Thu, 28 Mar 2024 12:24:12 +0000

chromium (123.0.6312.58~linuxmint1) unstable; urgency=medium

  * 123.0.6312.58

 -- Linux Mint <root@linuxmint.com>  Tue, 19 Mar 2024 20:53:12 +0000
