## chromium 123.0.6312.86~linuxmint1+wilma

=== debian/changelog ===
chromium (123.0.6312.86~linuxmint1+wilma) unstable; urgency=medium

  * 123.0.6312.86

 -- Linux Mint <root@linuxmint.com>  Thu, 28 Mar 2024 12:24:12 +0000
