## chromium 123.0.6312.86

=== debian/changelog ===
chromium (123.0.6312.86-1~deb12u1) bookworm-security; urgency=high

  * New upstream stable release.
    - CVE-2024-2883: Use after free in ANGLE.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2024-2885: Use after free in Dawn. Reported by wgslfuzz.
    - CVE-2024-2886: Use after free in WebCodecs. Reported by
      Seunghyun Lee (@0x10n) of KAIST Hacking Lab, via Pwn2Own 2024.
    - CVE-2024-2887: Type Confusion in WebAssembly.
      Reported by Manfred Paul, via Pwn2Own 2024.
  * d/patches/ppc64le:
    - fixes/fix-clang-selection.patch: select clang on ppc64 platforms
    - ppc64le/third_party/0001-Add-PPC64-support-for-boringssl.patch: fix
      ARM builds.

  [ Andres Salomon ]
  * d/patches:
    - fixes/bad-font-gc1.patch, fixes/bad-font-gc2.patch: revert a pair of
      upstream commits that result in blink's garbage collector frequently
      deadlocking and crashing (closes: #1067886).

 -- Timothy Pearson <tpearson@debian.org>  Thu, 28 Mar 2024 11:57:05 -0400

chromium (123.0.6312.58-1~deb12u1) bookworm-security; urgency=high

  * New upstream stable release.
    - CVE-2024-2625: Object lifecycle issue in V8.
      Reported by Ganjiang Zhou(@refrain_areu) of ChaMd5-H1 team.
    - CVE-2024-2626: Out of bounds read in Swiftshader.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2024-2627: Use after free in Canvas. Reported by Anonymous.
    - CVE-2024-2628: Inappropriate implementation in Downloads.
      Reported by Ath3r1s.
    - CVE-2024-2629: Incorrect security UI in iOS.
      Reported by Muneaki Nishimura (nishimunea).
    - CVE-2024-2630: Inappropriate implementation in iOS.
      Reported by James Lee (@Windowsrcer).
    - CVE-2024-2631: Inappropriate implementation in iOS.
      Reported by Ramit Gangwar.
  * d/patches:
    - upstream/bitset.patch: drop, merged upstream.
    - upstream/bookmarknode.patch: drop, merged upstream.
    - upstream/optional.patch: drop, merged upstream.
    - upstream/uniqptr.patch: drop, merged upstream.
    - fixes/gcc13-headers.patch: drop, merged upstream.
    - fixes/optional.patch: drop, merged upstream.
    - fixes/material-utils.patch: drop part that was merged upstream.
    - disable/catapult.patch: refresh.
    - bookworm/constexpr-equality.patch: include another similar fix.
    - bookworm/nvt.patch: refresh.
    - bookworm/undo-internal-alloc.patch: drop, as this was fixed upstream.
    - ungoogled/disable-privacy-sandbox.patch: update from ungoogled-chromium.
    - disable/angle-perftests.patch: drop, replace with a gn build argument.
    - bookworm/rust-downgrade-osstr-users.patch: add new patch to downgrade
      clap-lex crate, as it's using 1.74 features and we only have 1.70.
    - fixes/strlcpy.patch: add strlcpy declaration (closes: #1066235).
    - fixes/optional2.patch: add another missing <optional> inclusion.
    - fixes/stats-collector.patch: add build fix for wrong header.
    - disable/screen-ai-blob.patch: add patch to not register the
      ScreenAI component. Previously, if you opened a PDF and clicked
      "open in reader mode", it would download a binary blob to
      ~/.config/chromium/screen_ai/, and do OCR stuff (and who knows
      what else) in that opaque blob without warning you. We, uh, don't
      want that. (closes: #1066910).
    - bookworm/generate-ninja.patch: drop, merged upstream.
    - bookworm/bubble-contents.patch: update for renamed header.
    - bookworm/eraseif0.patch, eraseif-lambda.patch: drop, upstream merged
      a fix for g++-12 compilation.
    - bookworm/constexpr.patch: add yet another constexpr g++-12 fix.
    - bookworm/sizet.patch: another simple g++-12 build fix.
  * d/rules: add angle_build_tests=false build argument, which allows us to
    drop angle-perftests.patch.

  [ Timothy Pearson ]
  * d/patches:
    - fixes/blink-fonts-shape-result.patch: pull in upstream patch for
      compilation failure in Blink SameSizeAsShapeResult class
  * d/patches/ppc64le:
    - ffmpeg/0001-Add-support-for-ppc64.patch: refresh for upstream changes
    - third_party/0003-third_party-ffmpeg-Add-ppc64-generated-config.patch:
      refresh for upstream changes
    - libaom/0001-Add-pregenerated-config-for-libaom-on-ppc64.patch: refresh
      for upstream changes
    - third_party/0001-Add-PPC64-support-for-boringssl.patch: refresh for
      upstream changes
    - third_party/skia-vsx-instructions.patch: refresh & harden Skia against
      timing attacks.

 -- Andres Salomon <dilinger@debian.org>  Fri, 22 Mar 2024 12:45:06 -0400
