## chromium 123.0.6312.122~linuxmint1+elsie

=== debian/changelog ===
chromium (123.0.6312.122~linuxmint1+elsie) unstable; urgency=medium

  * 123.0.6312.122

 -- Linux Mint <root@linuxmint.com>  Wed, 10 Apr 2024 19:05:12 +0100

chromium (123.0.6312.105~linuxmint1) unstable; urgency=medium

  * 123.0.6312.105

 -- Linux Mint <root@linuxmint.com>  Tue, 02 Apr 2024 21:18:11 +0100

chromium (123.0.6312.86~linuxmint1) unstable; urgency=medium

  * 123.0.6312.86

 -- Linux Mint <root@linuxmint.com>  Thu, 28 Mar 2024 12:24:12 +0000
