## chromium 123.0.6312.122~linuxmint1+virginia

=== debian/changelog ===
chromium (123.0.6312.122~linuxmint1+virginia) unstable; urgency=medium

  * 123.0.6312.122

 -- Linux Mint <root@linuxmint.com>  Wed, 10 Apr 2024 19:05:12 +0100
