## chromium 123.0.6312.122

=== debian/changelog ===
chromium (123.0.6312.122-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2024-3157: Out of bounds write in Compositing.
      Reported by DarkNavy.
    - CVE-2024-3516: Heap buffer overflow in ANGLE.
      Reported by Bao (zx) Pham and Toan (suto) Pham of Qrious Secure.
    - CVE-2024-3515: Use after free in Dawn. Reported by wgslfuzz.

 -- Andres Salomon <dilinger@debian.org>  Wed, 10 Apr 2024 21:21:05 -0400
