=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  clang-16,
  clang-format-16,
  libclang-rt-16-dev,
- rustc,
+ rustc-web,
  python3,
  pkg-config,
  ninja-build,
