## chromium 124.0.6367.60~linuxmint1+faye

=== debian/changelog ===
chromium (124.0.6367.60~linuxmint1+faye) unstable; urgency=medium

  * 124.0.6367.60

 -- Linux Mint <root@linuxmint.com>  Tue, 16 Apr 2024 22:36:12 +0100

chromium (123.0.6312.122~linuxmint1) unstable; urgency=medium

  * 123.0.6312.122

 -- Linux Mint <root@linuxmint.com>  Wed, 10 Apr 2024 19:05:12 +0100
