## chromium 124.0.6367.60~linuxmint1+wilma

=== debian/changelog ===
chromium (124.0.6367.60~linuxmint1+wilma) unstable; urgency=medium

  * 124.0.6367.60

 -- Linux Mint <root@linuxmint.com>  Tue, 16 Apr 2024 22:36:12 +0100
