## chromium 124.0.6367.60

=== debian/changelog ===
chromium (124.0.6367.60-1) unstable; urgency=high

  * New upstream stable release.
    - CVE-2024-3832: Object corruption in V8.
      Reported by Man Yue Mo of GitHub Security Lab.
    - CVE-2024-3833: Object corruption in WebAssembly.
      Reported by Man Yue Mo of GitHub Security Lab.
    - CVE-2024-3834: Use after free in Downloads. Reported by ChaobinZhang
    - CVE-2024-3837: Use after free in QUIC.
      Reported by {rotiple, dch3ck} of CW Research Inc.
    - CVE-2024-3838: Inappropriate implementation in Autofill.
      Reported by Ardyan Vicky Ramadhan.
    - CVE-2024-3839: Out of bounds read in Fonts.
      Reported by Ronald Crane (Zippenhop LLC).
    - CVE-2024-3840: Insufficient policy enforcement in Site Isolation.
      Reported by Ahmed ElMasry.
    - CVE-2024-3841: Insufficient data validation in Browser Switcher.
      Reported by Oleg.
    - CVE-2024-3843: Insufficient data validation in Downloads.
      Reported by Azur.
    - CVE-2024-3844: Inappropriate implementation in Extensions.
      Reported by Alesandro Ortiz.
    - CVE-2024-3845: Inappropriate implementation in Network.
      Reported by Daniel Baulig.
    - CVE-2024-3846: Inappropriate implementation in Prompts.
      Reported by Ahmed ElMasry.
    - CVE-2024-3847: Insufficient policy enforcement in WebUI.
      Reported by Yan Zhu.
  * d/copyright:
    - delete __pycache__ directories to shut up dpkg warnings.
    - stop deleting bundled libwebp directory.
  * Drop build-dep on libwebp-dev and start building against the bundled
    libwebp. We need to do this because chromium uses features of libavif
    that require libsharpyuv-dev; but that's only available in sid/trixie.
  * d/patches:
    - upstream/std-to-address.patch: drop, merged upstream.
    - fixes/optional2.patch: drop, merged upstream.
    - fixes/blink-fonts-shape-result.patch: drop, merged upstream.
    - bookworm/constexpr-equality.patch: drop, merged upstream.
    - disable/catapult.patch: refresh.
    - disable/google-api-warning.patch: rework to be a smaller patch.
    - bookworm/clang16.patch: refresh.
    - ungoogled/disable-privacy-sandbox.patch: drop hunk related to deprecated
      preference.
    - upstream/mojo-null.patch: pull a (typescript) build fix from upstream.
    - upstream/uint-includes.patch: simple header build fix from upstream.
    - upstream/fps-optional.patch: add header build fix.
    - upstream/span-optional.patch: add header build fix.
    - upstream/extractor-bitset.patch: add header build fix.
    - upstream/atomic.patch: add header build fix.
    - upstream/webgpu-optional.patch: add header build fix.
    - fixes/absl-optional.patch: comment out assert() that caused crash.
      This could be another clang16/libstdc++ miscompilation issue, but
      needs further investigation.
    - fixes/bad-font-gc2.patch: drop a bunch of test-related pieces.
    - fixes/bad-font-gc0000.patch, fixes/bad-font-gc000.patch,
      fixes/bad-font-gc00.patch, fixes/bad-font-gc0.patch,
      fixes/bad-font-gc11.patch, fixes/bad-font-gc3.patch: revert a bunch
      more (new) upstream commits related to bad-font-gc2.patch. When the
      use-after-free bug gets fixed, all this can be dropped.
  * d/patches/ppc64le:
    - third_party/0002-third_party-libvpx-Remove-bad-ppc64-config.patch,
      third_party/0003-third_party-ffmpeg-Add-ppc64-generated-config.patch,
      workarounds/HACK-third_party-libvpx-use-generic-gnu.patch,
      breakpad/0001-Implement-support-for-ppc64-on-Linux.patch,
      ffmpeg/0001-Add-support-for-ppc64.patch,
      third_party/dawn-fix-typos.patch,
      third_party/use-sysconf-page-size-on-ppc64.patch: refresh.
    - third_party/skia-vsx-instructions.patch: refresh & update for header
      renaming.
    - third_party/0001-Add-PPC64-support-for-boringssl.patch,
      third_party/0002-third-party-boringssl-add-generated-files.patch:
      disable these two until Tim has a chance to look at them.

 -- Andres Salomon <dilinger@debian.org>  Fri, 19 Apr 2024 12:33:38 -0400

chromium (123.0.6312.122-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2024-3157: Out of bounds write in Compositing.
      Reported by DarkNavy.
    - CVE-2024-3516: Heap buffer overflow in ANGLE.
      Reported by Bao (zx) Pham and Toan (suto) Pham of Qrious Secure.
    - CVE-2024-3515: Use after free in Dawn. Reported by wgslfuzz.

 -- Andres Salomon <dilinger@debian.org>  Wed, 10 Apr 2024 21:21:05 -0400

chromium (123.0.6312.105-2) unstable; urgency=high

  * Depend on libgtk-3-0t64 instead of libgtk-3-0 for time_t transition
    (closes: #1068540).

 -- Andres Salomon <dilinger@debian.org>  Sun, 07 Apr 2024 12:43:26 -0400

chromium (123.0.6312.105-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2024-3156: Inappropriate implementation in V8.
      Reported by Zhenghang Xiao (@Kipreyyy).
    - CVE-2024-3158: Use after free in Bookmarks. Reported by undoingfish.
    - CVE-2024-3159: Out of bounds memory access in V8. Reported by
      Edouard Bochin (@le_douds) and Tao Yan (@Ga1ois) of Palo Alto
      Networks, via Pwn2Own 2024.

 -- Andres Salomon <dilinger@debian.org>  Tue, 02 Apr 2024 18:28:18 -0400

chromium (123.0.6312.86-1) unstable; urgency=high

  * New upstream stable release.
    - CVE-2024-2883: Use after free in ANGLE.
      Reported by Cassidy Kim(@cassidy6564).
    - CVE-2024-2885: Use after free in Dawn. Reported by wgslfuzz.
    - CVE-2024-2886: Use after free in WebCodecs. Reported by
      Seunghyun Lee (@0x10n) of KAIST Hacking Lab, via Pwn2Own 2024.
    - CVE-2024-2887: Type Confusion in WebAssembly.
      Reported by Manfred Paul, via Pwn2Own 2024.
  * d/patches/ppc64le:
    - fixes/fix-clang-selection.patch: select clang on ppc64 platforms
    - ppc64le/third_party/0001-Add-PPC64-support-for-boringssl.patch: fix
      ARM builds.

  [ Andres Salomon ]
  * d/patches:
    - fixes/bad-font-gc1.patch, fixes/bad-font-gc2.patch: revert a pair of

