=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  clang-16,
  clang-format-16,
  libclang-rt-16-dev,
- rustc-web,
+ rustc (>= 1.70.0+dfsg1-5),
  python3,
  pkg-config,
  ninja-build,
@@ -65,7 +65,6 @@
  libudev-dev,
  libpipewire-0.3-dev,
  libopus-dev,
- libwebp-dev,
  libxtst-dev,
  libjpeg-dev,
  libxml2-dev,
@@ -105,7 +104,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- libgtk-3-0 | xdg-desktop-portal-backend,
+ libgtk-3-0t64 | xdg-desktop-portal-backend,
  chromium-common (= ${binary:Version}),
 Recommends:
  chromium-sandbox,
