=== debian/rules ===
--- 
+++ 
@@ -83,6 +83,7 @@
          enable_iterator_debugging=false \
          enable_hangout_services_extension=false \
          angle_has_histograms=false \
+         angle_build_tests=false \
          build_angle_perftests=false \
          treat_warnings_as_errors=false \
          use_qt=false \
